package com.ruoyi.tcZz.mapper;

import java.util.List;
import com.ruoyi.tcZz.domain.TcYqxxltj;

/**
 * 舆情信息量统计Mapper接口
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
public interface TcYqxxltjMapper 
{
    /**
     * 查询舆情信息量统计
     * 
     * @param id 舆情信息量统计主键
     * @return 舆情信息量统计
     */
    public TcYqxxltj selectTcYqxxltjById(Long id);

    /**
     * 查询舆情信息量统计列表
     * 
     * @param tcYqxxltj 舆情信息量统计
     * @return 舆情信息量统计集合
     */
    public List<TcYqxxltj> selectTcYqxxltjList(TcYqxxltj tcYqxxltj);

    /**
     * 新增舆情信息量统计
     * 
     * @param tcYqxxltj 舆情信息量统计
     * @return 结果
     */
    public int insertTcYqxxltj(TcYqxxltj tcYqxxltj);

    /**
     * 修改舆情信息量统计
     * 
     * @param tcYqxxltj 舆情信息量统计
     * @return 结果
     */
    public int updateTcYqxxltj(TcYqxxltj tcYqxxltj);

    /**
     * 删除舆情信息量统计
     * 
     * @param id 舆情信息量统计主键
     * @return 结果
     */
    public int deleteTcYqxxltjById(Long id);

    /**
     * 批量删除舆情信息量统计
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTcYqxxltjByIds(Long[] ids);
}
